[% process_template = 'form/' _ c.config.gemeente_id _ '/header.tt' %]
[% PROCESS $process_template %]
[% layout_type = 'simple' %]

[%IF c.config.gemeente_id == "vechtstromen" OR c.config.gemeente_id == "hoogheemraadschap-van-rijnland" OR c.config.gemeente_id == "hoogheemraadschap-van-schieland" OR  c.config.gemeente_id == "hdsr" %]
  [% customer_type_text1 = 'het waterschap' %]
  [% customer_type_text2 = 'uw waterschap' %]
[% ELSE %]
  [% customer_type_text1 = 'de gemeente' %]
  [% customer_type_text2 = 'uw gemeente' %]
[% END %]

<div class="block">
    [% PROCESS form/header.tt
        no_delayed_finalization = 1
    %]

    <div id="content" class="block-content">
        [% PROCESS form/navigation.tt %]

        [% IF load_person_from_broker %]
        
        <div class="form-search-import-loader" data-ng-controller="nl.mintlab.pip.FormSearchImportController">
        </div>

        <div class="spinner-groot-wrapper">
            <div class="spinner-groot spinner-visible hasText">
                <div>
                Uw gegevens worden uit de Gemeentelijke Basisregistratie geladen...
                </div>
            </div>
        </div>

        [% ELSE %]
            [% IF aanvrager_error %]

            <div class="error_aanvrager">

            [% IF aanvrager_error.onderzoek %]
            <strong>Volgens de Gemeentelijke Basisadministratie staan uw gegevens in onderzoek. Voordat uw aanvraag kan worden verstuurd, wordt u verzocht contact op te nemen met de afdeling Burgerzaken van [% customer_type_text1 %].</strong><br /><br /></div>
            [% ELSE %]
            <strong>Helaas kunnen wij geen zaak voor u aanvragen. Neem contact op met [% customer_type_text2 %] voor meer informatie.</strong><br /><br /></div>
            [% END %]

            [% ELSE %]

            <h2 class="stap-titel">Uw gegevens</h2>

            <form method="post"
                  action="[% c.uri_for('/zaak/create/webformulier/aanvrager') %]"
                  class="zvalidate"
                  onsubmit="requestor-next.disabled = true; return true;"
                  data-zs-session-timeout
            >
                <input type="hidden" name="skip_ahead" value="[% c.req.param('skip_ahead') %]" />

                <fieldset>
                    <input type="hidden" name="aanvrager_update" value="1" />

                    [% IF kvk_objects.size == 1 || !aanvrager_edit %]
                        <input type="hidden" name="contact_edit" value="1" />
                        [% page = 'widgets/form/view_' _ aanvrager_type _ '.tt' %]
                    [% ELSE %]
                        <input type="hidden" name="aanvrager_edit" value="1" />
                        [% page = 'widgets/form/edit_' _ aanvrager_type _ '.tt' %]
                    [% END %]
                      [% INCLUDE $page %]

                    <div class="form-actions clearfix">
                        <a href="[% c.uri_for('/logout', { redirect => 'gemeente_portal' }) %]" title="Annuleren" class="button button-secondary left">
                            Annuleren
                        </a>

                        <button type="submit" name="requestor-next" class="button-primary button right">Volgende</button>
                    </div>
                </fieldset>
            </form>

            [% END %]
        [% END %]
    </div>
</div>

[% process_template = 'form/' _ c.config.gemeente_id _ '/footer.tt' %]
[% PROCESS $process_template %]

